package com.fuyuanshen.app.domain;

import com.fuyuanshen.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 操作视频对象 app_operation_video
 *
 * @author Lion Li
 * @date 2025-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("app_operation_video")
public class AppOperationVideo extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 视频名称
     */
    private String videoName;

    /**
     * 视频链接
     */
    private String videoUrl;

    /**
     * 设备di
     */
    private Long deviceId;

    /**
     * 备注
     */
    private String remark;


}
