package com.fuyuanshen.equipment.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fuyuanshen.equipment.domain.DeviceAssignments;
import com.fuyuanshen.equipment.domain.query.DeviceAssignmentQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 97433
 * @description 针对表【device_assignments】的数据库操作Mapper
 * @createDate 2025-06-19 18:19:13
 * @Entity system.domain.DeviceAssignments
 */
@Mapper
public interface DeviceAssignmentsMapper extends BaseMapper<DeviceAssignments> {

    /**
     * 查询设备分配信息
     *
     * @param deviceAssignmentQuery
     * @return
     */
    List<DeviceAssignments> deviceAssignmentsMapper(@Param("query") DeviceAssignmentQuery deviceAssignmentQuery);
}
